import flet as ft

from requests.auth import get_user
from requests.board_games import get_user_discounts
from requests.clients import get_wishlist, get_cart, get_history


def profile(page: ft.Page):
    def back_clicked(e):
        page.go("/")
        page.update()

    def order_clicked(e):
        pass

    user = get_user(page.client_storage.get("user_id"))
    wishlist = get_wishlist(user.id)
    cart = get_cart(user.id)
    history = get_history(user.id)

    discounts = get_user_discounts(user.id)

    for game in wishlist:
        for d in discounts:
            if d.game_id == game.board_game_id:
                game.discount = d.discount

    for game in cart:
        for d in discounts:
            if d.game_id == game.board_game_id:
                game.discount = d.discount

    page.add(ft.Column([
        ft.TextButton("Назад", on_click=back_clicked),
        ft.Text(f"Здравствуйте, {user.forename} {user.patronymic}!", size=24),
        ft.Text(f"Список желаний", size=20),
        ft.Row([
            ft.Column([
                ft.Text(str(game)),
                ft.Row([
                    ft.IconButton(
                        icon=ft.Icons.SHOPPING_CART
                    ),
                    ft.IconButton(
                        icon=ft.Icons.DELETE
                    )
                ])
            ]) for game in wishlist
        ]),
        ft.Text(f"Корзина", size=20),
        ft.Row([
            ft.Column([
                ft.Text(str(game)),
                ft.Row([
                    ft.IconButton(
                        icon=ft.Icons.DELETE
                    )
                ])
            ]) for game in cart
        ]),
        ft.Button("Заказать"),
        ft.Text(f"История заказов", size=20),
        ft.Row([
            ft.Column([
                ft.Text(f"Заказ №{order.id}", size=20),
                ft.Text(str(order)),
                ft.Text(f"Состав:", size=18),
                ft.Row([
                    ft.Text(str(game)) for game in order.games
                ])
            ]) for order in history
        ])
    ]))
