import psycopg2

from models.discount import Discount
from models.game import Game
from requests.connection import get_cursor


def get_sections():
    cursor = get_cursor()[0]

    cursor.execute("select name from sections")

    return [elem[0] for elem in cursor.fetchall()]


def get_games(section = None):
    cursor = get_cursor()[0]

    cursor.execute("SET lc_monetary TO 'ru_RU.UTF-8'")

    if section is None:
        cursor.execute("""
            select *
            from board_games join sections_board_games using(board_game_id) join sections using(section_id)
        """)
    else:
        cursor.execute(f"""
            select *
            from board_games join sections_board_games using(board_game_id) join sections using(section_id) 
            where sections.name='{section}'
        """)

    res = [Game(game[1], game[2], game[3], game[4], game[5]) for game in cursor.fetchall()]

    return res

def get_user_discounts(user_id):
    cursor = get_cursor()[0]

    cursor.execute(f"""
        select discounts.board_game_id, discounts.amount
        from discounts join clients_discounts on discounts.discount_id = clients_discounts.discount
        where clients_discounts.client_id = {user_id}
    """)

    return  [Discount(res[0], res[1]) for res in cursor.fetchall()]
